AlertDefinitionStateDecorator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.AlertDefinitionStateDecorator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class AlertDefinitionStateDecorator

    java.lang.Object
      org.hyperic.hq.ui.taglib.display.Decorator
          org.hyperic.hq.ui.taglib.display.ColumnDecorator
              org.hyperic.hq.ui.taglib.display.BaseDecorator
                  org.hyperic.hq.ui.taglib.display.AlertDefinitionStateDecorator

All Implemented Interfaces:
  java.lang.Cloneable, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Deprecated.

    @Deprecated
    public class AlertDefinitionStateDecorator

extends BaseDecorator

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AlertDefinitionStateDecorator()` Deprecated.

Method Summary
`java.lang.String` | `decorate(java.lang.Object columnValue)` Deprecated. The main method to override here.
`protected java.lang.String` | `generateErrorComment(java.lang.String exc, java.lang.String attrName, java.lang.String attrValue, java.lang.Throwable t)` Deprecated.
`java.lang.Boolean` | `getActive()` Deprecated.
`java.lang.Boolean` | `getDisabled()` Deprecated.
`void` | `setActive(java.lang.Boolean active)` Deprecated.
`void` | `setDisabled(java.lang.Boolean disabled)` Deprecated.

Methods inherited from class org.hyperic.hq.ui.taglib.display.BaseDecorator
`doEndTag, doStartTag, getName, getParent, release, setName, setParent`

Methods inherited from class org.hyperic.hq.ui.taglib.display.Decorator
`finish, finishRow, getList, getListIndex, getObject, getPageContext, getViewIndex, init, initRow, setPageContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`setPageContext`

Constructor Detail

### AlertDefinitionStateDecorator

    public AlertDefinitionStateDecorator()

  Deprecated.

Method Detail

### decorate

    public java.lang.String decorate(java.lang.Object columnValue)

  Deprecated.
  Description copied from class: `BaseDecorator`
  The main method to override here. This should look something like this: `String name = null; try { name = (String) evalAttr("name", this.name, String.class); } catch (NullAttributeException ne) { log.debug("bean " + this.name + " not found"); return ""; } catch (JspException je) { log.debug("can't evaluate name [" + this.name + "]: ", je); return ""; } StringBuffer buf = new StringBuffer(1024); buf.append(""); buf.append(obj.toString()); buf.append(""); return buf.toString()`

  Specified by:
    `decorate` in class `BaseDecorator`

### getActive

    public java.lang.Boolean getActive()

  Deprecated.

### setActive

    public void setActive(java.lang.Boolean active)

  Deprecated.

### getDisabled

    public java.lang.Boolean getDisabled()

  Deprecated.

### setDisabled

    public void setDisabled(java.lang.Boolean disabled)

  Deprecated.

### generateErrorComment

    protected java.lang.String generateErrorComment(java.lang.String exc,
                                                    java.lang.String attrName,
                                                    java.lang.String attrValue,
                                                    java.lang.Throwable t)

  Deprecated.
  Overrides:
    `generateErrorComment` in class `BaseDecorator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.